import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'dialog_pp_flutter_platform_interface.dart';

/// An implementation of [DialogPpFlutterPlatform] that uses method channels.
class MethodChannelDialogPpFlutter extends DialogPpFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('dialog_pp_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
