import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'dialog_pp_flutter_method_channel.dart';

abstract class DialogPpFlutterPlatform extends PlatformInterface {
  /// Constructs a DialogPpFlutterPlatform.
  DialogPpFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static DialogPpFlutterPlatform _instance = MethodChannelDialogPpFlutter();

  /// The default instance of [DialogPpFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelDialogPpFlutter].
  static DialogPpFlutterPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [DialogPpFlutterPlatform] when
  /// they register themselves.
  static set instance(DialogPpFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
