import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:dialog_pp_flutter/dialog_pp_flutter_method_channel.dart';

void main() {
  MethodChannelDialogPpFlutter platform = MethodChannelDialogPpFlutter();
  const MethodChannel channel = MethodChannel('dialog_pp_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
