import 'package:flutter_test/flutter_test.dart';
import 'package:dialog_pp_flutter/dialog_pp_flutter.dart';
import 'package:dialog_pp_flutter/dialog_pp_flutter_platform_interface.dart';
import 'package:dialog_pp_flutter/dialog_pp_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockDialogPpFlutterPlatform 
    with MockPlatformInterfaceMixin
    implements DialogPpFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final DialogPpFlutterPlatform initialPlatform = DialogPpFlutterPlatform.instance;

  test('$MethodChannelDialogPpFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelDialogPpFlutter>());
  });

  test('getPlatformVersion', () async {
    DialogPpFlutter dialogPpFlutterPlugin = DialogPpFlutter();
    MockDialogPpFlutterPlatform fakePlatform = MockDialogPpFlutterPlatform();
    DialogPpFlutterPlatform.instance = fakePlatform;
  
    expect(await dialogPpFlutterPlugin.getPlatformVersion(), '42');
  });
}
